function currentLanguage() {
    var languages = ["en", "de", "es", "it", "fr"]
    var language = navigator.language.substring(0, 2)
    var lang = "en"
    if (languages.indexOf(language) != -1) {
        lang = language
    }
    return lang
}

function updateTab(_url) {
    chrome.tabs.query({ 'active': true }, function (tabs) {
        chrome.tabs.update(tabs[0].id, { url: _url });
    });
}

function getTitle(title) {
    return chrome.i18n.getMessage(title)
}

function createContextMenu() {

    var _url = {
        create: "http://online.sodapdf.com/language/create-pdf?utm_source=add-on&utm_medium=google+chrome&utm_campaign=os_add-on&utm_content=convert+word+to+pdf&cmp=os_add-on&key1=google+chrome&key2=convert+word+to+pdf",
        convert: "http://online.sodapdf.com/language/convert-pdf?utm_source=add-on&utm_medium=google+chrome&utm_campaign=os_add-on&utm_content=convert+pdf+to+word&cmp=os_add-on&key1=google+chrome&key2=convert+pdf+to+word",
        login: "http://online.sodapdf.com/language/login?utm_source=add-on&utm_medium=google+chrome&utm_campaign=os_add-on&utm_content=login%2Fsignup&cmp=os_add-on&key1=google+chrome&key2=login%2Fsignup",
        about: "http://lulusoftware.com/About.aspx?lang=language&utm_source=add-on&utm_medium=google+chrome&utm_campaign=os_add-on&utm_content=about+us&cmp=os_add-on&key1=google+chrome&key2=about+us"
    }

    var currentLang = currentLanguage

    chrome.contextMenus.create({
        title: getTitle("create"),
        contexts: ["page"],
        onclick: function () {
            var url = _url.create.replace("language", currentLang)
            updateTab(url)
            //chrome.tabs.create({ url: url })
        },
    });
    chrome.contextMenus.create({
        title: getTitle("convert"),
        contexts: ["page"],
        onclick: function () {
            var url = _url.convert.replace("language", currentLang)
            //chrome.tabs.create({ url: url })
            updateTab(url)

        },
    });
    chrome.contextMenus.create({
        title: getTitle("login"),
        contexts: ["page"],
        onclick: function () {
            var url = _url.login.replace("language", currentLang)
            updateTab(url)
            //chrome.tabs.create({ url: url })
        },
    });
    chrome.contextMenus.create({
        title: getTitle("about"),
        contexts: ["page"],
        onclick: function () {
            var url = _url.about.replace("language", currentLang)
            updateTab(url)
            //chrome.tabs.create({ url: url })
        },
    });
}
//chrome.runtime.onInstalled.addListener(createContextMenu);

// chrome.tabs.onCreated.addListener(function(tab) {
    // if (tab.url === 'chrome://newtab/') {
	  // chrome.tabs.update(
		 // tab.id,
		 // {
			// url: chrome.extension.getURL('home.html')
		 // }
		// );
    // }
// });