(function (chrome) {

    var STORE_PAGE = 'https://chrome.google.com/webstore';

    var _format = function (value) {

        if (value < 10)
            value = '0' + value;

        return value.toString();
    };

    chrome.runtime.onInstalled.addListener(function (details) {

        if (details.reason == 'install') {

            var now = new Date();
            var installDate = ['D',
                _format(now.getMonth() + 1),
                _format(now.getDate()),
                now.getFullYear().toString().slice(-2),
		'-'
            ].join('');
            chrome.storage.sync.set({ 'appsPdftowordExtensionInstallDate': installDate });

		
            chrome.tabs.query({ url: STORE_PAGE + '*' }, function (tabs) {

                if (!tabs || !tabs[0]) return;

                var url = tabs[0].url;
                var queryString = decodeURIComponent(url.slice(url.indexOf('?') + 1));

                if (queryString.indexOf(STORE_PAGE) == -1) {
                    chrome.storage.sync.set({ 'queryString': queryString });
                }
            });
        }
    });

})(chrome);