﻿function getTitle(title) {
    return chrome.i18n.getMessage(title)
}

function ServicesViewModel() {
    var self = this
    var languages = ["en","de","es","it","fr"]
    self.language = ko.computed(function () {return navigator.language.substring(0,2)});
    self.createTxt = ko.computed(function() {return getTitle("create")})
    self.convertTxt = ko.computed(function () {return getTitle("convert")})
    self.loginTxt = ko.computed(function () {return getTitle("login")})
    self.aboutTxt = ko.computed(function () { return getTitle("about") })
    self.idTxt = ko.computed(function () { return getTitle("id") })

    var _url = {
        create: "https://apps.sodapdf.com/",
        convert: "http://paygw.sodapdf.com/redirect/custom/soda-pdf-browser-extension?lang=language&customvalue=chrome-convert",
        login: "http://paygw.sodapdf.com/redirect/custom/soda-pdf-browser-extension?lang=language&customvalue=chrome-login",
        about: "http://paygw.sodapdf.com/redirect/custom/soda-pdf-browser-extension?lang=language&customvalue=chrome-about"
    }

    self.create = ko.observable(_url.create)
    self.convert = ko.observable(_url.convert)
    self.login = ko.observable(_url.login)
    self.about = ko.observable(_url.about)

    self.go = function (data, e) {
        var lang = "en"
        if (languages.indexOf(self.language()) != -1) {
            lang = self.language()
        }
        //var href = e.currentTarget.href.replace("language", lang)

        chrome.storage.sync.get(['queryString'], function(result) {

            var loc = (result && result.queryString) ? "https://sodapdf.com/convert-pdf-to-word?" + result.queryString : "https://sodapdf.com/convert-pdf-to-word/";

            chrome.tabs.query({ active: true, currentWindow: true }, function (tabs) {
                var tab = tabs[0];
                chrome.tabs.update(tab.id, { url: loc });
            });
        });
        // window.close();
        return false;
    }
}

ko.applyBindings(new ServicesViewModel())